game_level_hints.levels["Level01_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level01_scene01_01 = -- комната в особняке
			{
				on_scene("level01_scene01_02", end_level("area_scene01_01")),
				on_scene("level01_miniscene_colum", end_level("back_exit_column")),
				on_scene("level01_miniscene_casket02", end_level("back_exit_casket")),
				on_scene("level01_miniscene_book01", end_level("back_exit_book")),
				on_scene("level01_miniscene_cupboard", end_level("back_exit_cupboard"))
			},
			level01_scene01_02 = -- лестничная площадка
			{
				on_scene("level01_scene01_01", end_level("stairs")),
				on_scene("level01_scene01_03", end_level("area_scene01_02_02")),
				on_scene("level01_scene01_03", end_level("go_scene01_02")),
				on_scene("level01_miniscene_picture", end_level("back_exit_picture")),
				on_scene("level01_miniscene_box01", end_level("back_exit_box01")),
				on_scene("level01_miniscene_door01", end_level("back_exit_door01")),
				on_scene("level01_miniscene_hog", end_level("exit_hog"))
			},
			level01_scene01_03 = -- детская комната
			{
				IF(state("Door04", "door04_02"), on_scene("level01_scene01_02", end_level("Door04"))),
				on_scene("level01_miniscene_wardrobe", end_level("back_close_wardrobe")),
				on_scene("level01_miniscene_figures", end_level("back_close_figures")),
				on_scene("level01_miniscene_garden", end_level("back_close_garden")),
				on_scene("level01_miniscene_dall_home01", end_level("back_exit_dall_home"))				
			},			
			
			
			level01_miniscene_hog = -- минисцена в кладовке под лестницей
			{
				IF(state("Door03","door03_02"), on_scene("level01_scene01_02", miniscene("Door03"))),
			},
			
			level01_miniscene_wardrobe = --  шкаф на сцене 01_03
			{
				on_scene("level01_scene01_03", miniscene("area_wardrobe")),
				on_scene("level01_scene01_03", miniscene("wardrobe01")),
				on_scene("level01_scene01_03", miniscene("Wardrobe01_door01")),
				on_scene("level01_scene01_03", miniscene("Wardrobe01_door02"))
			},
			level01_miniscene_figures = --  фигуры на камине на сцене 01_03
			{
				IF(NOT(state("Button_figures", "button_figures02")), on_scene("level01_scene01_03", miniscene("area_figures")))
			},
			level01_miniscene_garden = --  вид из окна на сцене 01_03
			{
				on_scene("level01_scene01_03", miniscene("cross"))
			},
			level01_miniscene_picture = --  картина на сцене 01_02
			{
				IF(state("Picture02","picture02_02"), on_scene("level01_scene01_02", miniscene("area_picture"))),
				IF(state("Picture02","picture02_02"), on_scene("level01_scene01_02", miniscene("Picture02")))
			},
			level01_miniscene_colum = --  колонна на сцене 01_01
			{
				on_scene("level01_scene01_01", miniscene("column"))
			},
			level01_miniscene_box01 = --  ящик комода на сцене 01_02
			{				
				IF(state("Bureau_box","bureau_box03"), on_scene("level01_scene01_02", miniscene("Bureau_box")))
			},
			level01_miniscene_door01 = --  дверь на сцене 01_02
			{
				IF(state("Door04", "door04_01"), on_scene("level01_scene01_02", miniscene("Door04")))
			},
			level01_miniscene_dall_home01 = -- кукольный дом на сцене 01_03
			{
				IF(state("Dall_home01","dall_home01_05"), on_scene("level01_scene01_03", miniscene("Dall_home01")))
			},
			level01_miniscene_casket02 = --  шкатулка на сцене 01_01
			{
				on_scene("level01_scene01_01", miniscene("casket02"))
			},
			level01_miniscene_book01 = --  книга на сцене 01_01
			{
				IF(NOT(state("Book","book01")), on_scene("level01_scene01_01", miniscene("Book")))
			},
			level01_miniscene_cupboard = --  шкаф на сцене 01_01
			{
				on_scene("level01_scene01_01", miniscene("area_reagents"))
			}
		}),
				
		-- хинты событий		
		on_scene("level01_scene01_01", 
		{
			take("Daily"), -- взяли газету	
		}),
		on_scene("level01_miniscene_casket02", take("Pen")), -- взяли крандаш
		on_scene("level01_miniscene_door01",  -- открываем дверь в детскую комнату
		{
			click("area_hole", "Daily"),
			IF(state("Daily02","daily01"), click("Key01", "Pen")),
			IF(state("Key01","key01_02"), click("Daily02")),
			IF(state("Key01","key01_03"), take("Key01")),
			click("area_lock", "Key01")
		}),
		on_scene("level01_scene01_03", IF(state("Switch","switch01"), click("Switch"))), -- включили свет в детской комнате
		--on_scene("level01_scene01_02", IF(state("Door03","door03_01"), click("area_hog_02"))), -- открыли кладовку
		--on_scene("level01_scene01_02", IF(state("Door03","door03_02"), miniscene("area_hog_02"))), -- получили ручку от ящика
		on_scene("level01_scene01_02", IF(disabled("Handle"), click("jump_ball01"))), -- клик на мячик - он подпрыгивает
		on_scene("level01_scene01_02",take("Handle")), -- взяли ручку от ящика
		on_scene("level01_scene01_02", click("Bureau_box", "Handle")), -- приделали ручку ящику
		on_scene("level01_scene01_02", IF(state("Bureau_box","bureau_box02"), click("Bureau_box"))), -- приделали ручку ящику
		on_scene("level01_miniscene_box01", take("Lamp02")), -- взяли лампочку
		on_scene("level01_scene01_03", -- включаем свет в детской комнате
		{
			IF({ state("Switch","switch03"), state("Indicator","indicator02"), state("Lamp01","lamp02") }, click("Switch")),
			IF({ NOT(state("Indicator", "indicator02")), state("Lamp01", "lamp02") }, click("Lamp01", "Lamp02")),			
			IF({ state("Switch","switch03"), state("Lamp01","lamp03") }, click("Switch"))			
		}),
		on_scene("level01_miniscene_casket02", take("Heart")), -- взяли сердце
		on_scene("level01_scene01_03", IF(state("Dall_home01","dall_home01_01"), click("Dall_home01", "Heart"))), -- вставили сердце в кукольный домик
		--on_scene("level01_scene01_01", miniscene("area_hog01")), -- получили маслёнку
		on_scene("level01_scene01_02", IF(state("Door03","door03_01"), click("Door03"))), -- открыли дверь в кладовку
		on_scene("level01_miniscene_hog", take("Oiler")), -- взяли маслёнку
		on_scene("level01_scene01_03", IF(state("Dall_home01","dall_home01_03"), click("Dall_home01", "Oiler"))), -- полили кукольный домик маслом
		on_scene("level01_scene01_03", IF(state("Dall_home01","dall_home01_04"), click("Dall_home01"))), -- открыли кукольный домик
		on_scene("level01_miniscene_dall_home01", take("Parrot01")), -- взяли попугая
		on_scene("level01_miniscene_figures", -- запустили мини-игру "птички-рыбки"
		{	
			click("area_parrot", "Parrot01"),
			IF(state("Button_figures", "button_figures02"), minigame("area_figures_mini")), 
			IF( { state("Button_figures", "button_figures01"), state("Back_miniscene_figures", "back_miniscene_figures02") }, take("Key_toy01"))
		}),
		on_scene("level01_scene01_03", IF(state("Button_figures", "button_figures02"), minigame("area_figures"))), -- запустили мини-игру "птички-рыбки"
		on_scene("level01_scene01_01", IF({ state("Flag_page","flag_page01"), on_level("Reagent04") }, click("Book"))), -- перелистываем страницу в книге
		on_scene("level01_miniscene_cupboard", take("Reagent04")), -- взяли реагент
		on_scene("level01_miniscene_dall_home01",
		{
			click("Casket01", "Key_toy02"), -- завели музыкальную шкатулку
			IF(state("Mini_note","mini_note_01"), click("Mini_note")) -- посмотрели записку
		}),
		on_scene("level01_scene01_01", IF({ state("Mini_note","mini_note_02"), on_level("Screwdriver"), disabled("flag_screwdriver")}, miniscene("column"))), -- заходим на мини-сцену с колонной
		--on_scene("level01_scene01_02", IF(state("Door03","door03_02"), miniscene("area_hog_02"))), -- получили отвертку
		on_scene("level01_miniscene_wardrobe",
		{
			IF({ state("Doors_wardrobe02", "doors_wardrobe02_01"), on_level("Screwdriver") }, click("Doors_wardrobe02")),
			IF({ state("Doors_wardrobe02", "doors_wardrobe02_02"), state("Clothes05","clothes05_01"), on_level("Screwdriver") }, click("Clothes05")),
			IF({ state("Doors_wardrobe02", "doors_wardrobe02_02"), state("Clothes05","clothes05_02") }, take("Screwdriver"))
		}),
		on_scene("level01_miniscene_colum", -- откручиваем болты
		{
			IF(state("Screw04","screw04_01"), click("Screw04", "Screwdriver")),
			IF(state("Screw03","screw03_01"), click("Screw03", "Screwdriver")),
			IF({ state("Screw02","screw02_01"), state("Screw01","screw01_01") }, click("Screw02", "Screwdriver")),
			IF({ state("Screw01","screw01_01"), state("Screw02","screw02_01") }, click("Screw01", "Screwdriver"))			
		}),
		on_scene("level01_miniscene_box01", take("Lever01")), -- взяли рычаг
		--on_scene("level01_miniscene_box01", IF({ hidden("Panel01"), state("Panel01", "panel01_01") }, take("Lever01"))), -- взяли рычаг
		on_scene("level01_miniscene_colum", -- откручиваем болты
		{
			click("area_lever02", "Lever01"),
			IF(state("Lever02", "lever02_01"), click("Lever02")),
			take("Picture01")
		}),
		on_scene("level01_scene01_02", click("area_picture", "Picture01")), -- взяли картину
		on_scene("level01_scene01_03", 
		{
			IF(state("Picture02", "picture02_02"), 
			{
				IF({ state("Pillow", "pillow01"), on_level("Color") }, click("Pillow")), -- отодвинули подушку
				take("Color"), -- взяли баллончик
				click("area_window", "Color"), -- нарисовали крест
				IF(state("Door_exit","door_exit01"), miniscene("cross")) -- посмотрели в окно
			})			
		}),
		on_scene("level01_scene01_01", IF(state("Door_exit","door_exit02"), end_level("Door_exit"))) -- вышли на 2 уровень
	}
end
